Subject: How to make AM_EXTRA_RECURSIVE_TARGETS skip some directories?

From: Reuben Thomas <[email-masked]>
Date: Thu, 26 Jan 2023 23:57:20 +0000

I have an automake project with a 'po' subdirectory whose contents,
including Makefile.in.in, is entirely generated by gettext. 'po' is in my
top level Makefile.am's SUBDIRS.

When I add an AM_EXTRA_RECURSIVE_TARGETS entry, say 'foo', automake tries
to recurse into po and 'make foo', and of course this doesn't work.

Is there a way around this?

-- 
https://rrt.sc3d.org